<%- include('partials/header') -%>

<h1 class="text-4xl">Home</h1>

<button onclick='getLocation()'>Press for your location</button>
    <p id="location"></p>
    <div id="map"></div>
    <script>
        var plocation = document.getElementById("location");

        function getLocation() {
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(showPosition);
            console.log("aa")
        } else { 
            plocation.innerHTML = "Geolocation is not supported by this browser.";
        }
        }

        function showPosition(position) {
        plocation.innerHTML = "Latitude: " + position.coords.latitude + 
        "<br>Longitude: " + position.coords.longitude;

        var element = document.getElementById('map');
        element.style = 'height:300px;';
        var map = L.map(element);
        L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
            attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
        }).addTo(map);
        var target = L.latLng(position.coords.latitude, position.coords.longitude);
        map.setView(target, 14);
        L.marker(target).addTo(map)
        }
    </script>
    <script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"></script>
    <link href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css" rel="stylesheet"/>

<% if (locals.isAuthenticated) { %>
    <p>Welcome <%= user.nickname %>. You are logged in. <a href="/maps" class="underline">View your location on map</a>.</p>
<% } else { %>
    <p>To view more information please login. <a href="/maps" class="underline">Login</a>.</p>
<% } %>
